use warnings;
use strict;
use Test::More tests => 9;

use Socket;

use POWER::Utils::IO qw(:DEFAULT get_peer);

my $PORT    = 42538;
my $IP      = '127.0.0.1';

my $udp_server  = udp_server($IP, $PORT);
my $udp_client1 = udp_client($IP, $PORT);
my $udp_client2 = udp_client();

my $tcp_server  = tcp_server($IP, $PORT);
my $tcp_client1 = tcp_client($IP, $PORT);
socket(my $tcp_client2, AF_INET, SOCK_STREAM, getprotobyname('tcp'));

is_deeply([q{}, 0],     [get_peer()],             'no params');
is_deeply([q{}, 0],     [get_peer(undef)],        'undef');
is_deeply([q{}, 0],     [get_peer($udp_server)],  'udp_server');
is_deeply([$IP,$PORT],  [get_peer($udp_client1)], 'udp_client1');
is_deeply([q{}, 0],     [get_peer($udp_client2)], 'udp_client2');
is_deeply([q{}, 0],     [get_peer($tcp_server)],  'tcp_server');
is_deeply([$IP,$PORT],  [get_peer($tcp_client1)], 'tcp_client1');
is_deeply([q{}, 0],     [get_peer($tcp_client2)], 'tcp_client2');
my $paddr = accept my($tcp_server1), $tcp_server;
my ($port) = sockaddr_in($paddr);
is_deeply([$IP,$port],  [get_peer($tcp_server1)], 'tcp_server1');

